# internal macros ???
%global _firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%global _seamonkey_app_id \{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a\}

# common macros, yet to be defined. see:
# https://fedoraproject.org/wiki/User:Kalev/MozillaExtensionsDraft
%global _moz_extensions %{_datadir}/mozilla/extensions
%global _firefox_extdir %{_moz_extensions}/%{_firefox_app_id}
%global _seamonkey_extdir %{_moz_extensions}/%{_seamonkey_app_id}

# needed for this package
%global extension_id \{73a6fe31-595d-460b-a920-fcc0f8843232\}

%global classic_version 5.1.9

Name:           mozilla-noscript
Version:        11.0.3
Release:        3%{?dist}
Summary:        JavaScript white list extension for Mozilla Firefox

License:        GPLv2+
URL:            http://noscript.net/
# Source is a .xpi file, there is no public VCS or a tarball
Source0:        https://secure.informaction.com/download/releases/noscript-%{version}.xpi
# https://bugzilla.redhat.com/show_bug.cgi?id=1364409
Source1:        %{name}.metainfo.xml
Source2:        https://secure.informaction.com/download/releases/noscript-%{classic_version}.xpi

BuildRequires:  dos2unix
# GNOME Software Center not present on EL < 7 and Fedora
%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires:  libappstream-glib
%endif
Requires:       firefox-noscript = %{version}-%{release}
Requires:       seamonkey-noscript = %{classic_version}-%{release}
BuildArch:      noarch

%description
The NoScript Firefox extension provides extra protection for Firefox.
It allows JavaScript, Java, Flash and other plug-ins to be executed only by
trusted web sites of your choice (e.g. your online bank) and additionally
provides Anti-XSS protection.

%package -n firefox-noscript
Summary:        JavaScript white list extension for Mozilla Firefox
Requires:       mozilla-filesystem
# https://labs.ft.com/fastclick/ MIT
# post 1.0.6 commit 7972ec0e4bce4e304a32be34608b915840d6b4b4
Provides:       bundled(js-fastclick) = 1.0.6
# https://github.com/mdmoreau/flextabs MIT
Provides:       bundled(js-flextabs) = 0.2.0
# https://mths.be/punycode MIT
Provides:       bundled(js-punycode) = 1.4.1
# https://github.com/emn178/js-sha256 MIT
Provides:       bundled(js-sha256) = 0.9.0
# https://github.com/mozilla/webextension-polyfill MPL
Provides:       bundled(webextension-polyfill) = 0.3.1

%description -n firefox-noscript
The NoScript extension provides extra protection for Firefox.
It allows JavaScript, Java, Flash and other plug-ins to be executed only by
trusted web sites of your choice (e.g. your online bank) and additionally
provides Anti-XSS protection.

%package -n seamonkey-noscript
Summary:        JavaScript white list extension for SeaMonkey
Version:        %{classic_version}
Requires:       mozilla-filesystem

%description -n seamonkey-noscript
The NoScript extension provides extra protection for SeaMonkey.
It allows JavaScript, Java, Flash and other plug-ins to be executed only by
trusted web sites of your choice (e.g. your online bank) and additionally
provides Anti-XSS protection.


%prep
%setup -q -cT
unzip -qq %{SOURCE0} GPL.txt LICENSE.txt
unzip -qq %{SOURCE2} NoScript_License.txt mozilla.cfg
dos2unix -k -f GPL.txt
dos2unix -k NoScript_License.txt
dos2unix -k LICENSE.txt

%build

%install
# install into _firefox_extdir
install -Dp -m 644 %{SOURCE0} %{buildroot}%{_firefox_extdir}/%{extension_id}.xpi

# install classic version into _seamonkey_extdir
install -Dp -m 644 %{SOURCE2} %{buildroot}%{_seamonkey_extdir}/%{extension_id}.xpi

# install MetaInfo file for firefox, etc
%if 0%{?fedora} || 0%{?rhel} >= 7
install -Dpm644 %{SOURCE1} %{buildroot}%{_datadir}/metainfo/%{name}.metainfo.xml
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/%{name}.metainfo.xml
%endif

%files

%files -n firefox-noscript
%license GPL.txt
%doc LICENSE.txt mozilla.cfg
%{_firefox_extdir}/%{extension_id}.xpi
# GNOME Software Center metadata
%if 0%{?fedora} || 0%{?rhel} >= 7
%{_datadir}/metainfo/%{name}.metainfo.xml
%endif

%files -n seamonkey-noscript
%license GPL.txt
%doc NoScript_License.txt mozilla.cfg
%{_seamonkey_extdir}/%{extension_id}.xpi

%changelog
* Thu Sep 12 2019 Dominik Mierzejewski <rpm@greysector.net> - 11.0.3-3
- update to 11.0.3 (#1751683)
- add more bundled libraries

* Wed Feb 20 2019 Dominik Mierzejewski <rpm@greysector.net> - 10.2.1-2
- update to 10.2.1

* Fri Oct 26 2018 Dominik Mierzejewski <rpm@greysector.net> - 10.1.9.9-1
- update to 10.1.9.9
- update classic version to 5.1.9

* Sun Sep 16 2018 Dominik Mierzejewski <rpm@greysector.net> - 10.1.9.6-1
- update to 10.1.9.6
- keep the classic version for seamonkey users

* Sun Sep 16 2018 Dominik Mierzejewski <rpm@greysector.net> - 5.1.8.7-1
- update to 5.1.8.7 (fixes CVE-2018-16983)

* Fri Apr 13 2018 Dominik Mierzejewski <rpm@greysector.net> - 5.1.8.5-1
- update to 5.1.8.5 (#1557903)
- switch URL to upstream instead of AMO, they're identical

* Wed Aug 03 2016 Dominik Mierzejewski <rpm@greysector.net> - 2.9.0.13-1
- update to 2.9.0.13 (#1362319)

* Fri Jul 29 2016 Dominik Mierzejewski <rpm@greysector.net> - 2.9.0.12-1
- update to 2.9.0.12 (#1360761)

* Thu Mar 17 2016 Dominik Mierzejewski <rpm@greysector.net> - 2.9.0.5-1
- update to 2.9.0.5 (#1318460)
- clean up spec and drop EL5-specific stuff

* Thu Jul 24 2014 Thomas Spura <tomspur@fedoraproject.org> - 2.6.8.33-1
- update to 2.6.8.33 (#1104527)

* Sat Oct 26 2013 Thomas Spura <tomspur@fedoraproject.org> - 2.6.8.4-1
- update to 2.6.8.4 (#1023548, #958170)

* Thu Aug 19 2010 Thomas Spura <tomspur@fedoraproject.org> - 2.0.2.1-2
- require firefox and not mozilla-filesystem on el5

* Wed Aug 18 2010 Thomas Spura <tomspur@fedoraproject.org> - 2.0.2.1-1
- update to new version

* Wed Jun 30 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.97-1
- new version

* Fri May 28 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.81-1
- new version

* Sun May 16 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.74-1
- new version
- renew patch

* Thu Apr 22 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.69-1
- new version

* Mon Apr 19 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.66-1
- new version

* Sat Apr  3 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.60-1
- new version

* Fri Mar 19 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.57-1
- update to new version
- force dos2unix on 'binary' GPL.txt
- renew patch

* Sat Feb 27 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.50-1
- update to new version
- fix some spelling errors

* Sun Feb  7 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.45-1
- update to new version

* Sat Jan 23 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.39-1
- update to new version

* Sat Jan 16 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.35-4
- install with -p

* Fri Jan 15 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.35-3
- also install seamonkey app_id (Thomas Moschny)

* Fri Jan 15 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.35-2
- remove R: firefox, this plugin also works for seamonky and so on
  it's up to the user, what to use (Thomas Moschny)

* Fri Jan 15 2010 Thomas Spura <tomspur@fedoraproject.org> - 1.9.9.35-1
- update to new version
- %%global vs %%define
- install in %%{_datadir} -> noarch
- delete changelog
- R: mozilla-filesystem for owning %%{_datadir}/mozilla/extensions

* Sun Jul 19 2009 Andreas Thienemann <andreas@bawue.net> - 1.9.6-1
- Initial package
